
-- @AutoRun
-- drop table tl_scheduled_email;



CREATE TABLE tl_scheduled_email (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    subject varchar(200) NOT NULL,
    scheduled_date timestamp NOT NULL,
    application_status varchar(200) NOT NULL,
    message_content text NOT NULL,
    job_application_id numeric(12)  NOT NULL,
    message_template_id numeric(12)  NULL
    );



ALTER TABLE tl_scheduled_email ADD    
    CONSTRAINT pk_tl_scheduled_email PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_scheduled_email_job_application_id 
    ON tl_scheduled_email (job_application_id);
